<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sapi.mapper.system.SyserrorMapper">
    <select id="listAll" resultType="com.xhkjedu.sapi.model.system.TSyserror">
        select errid,device,errmsg,createtime from t_syserror
        <where>
            <if test="error.device!=null and error.device!=''"> and device=#{error.device}</if>
            <if test="error.errmsg!=null and error.errmsg!=''"> and errmsg like '%${error.errmsg}%'</if>
        </where>
        order by createtime desc
    </select>
</mapper>
